Subject: Ticket Assigned - Click & Collect
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 13 Oct 2020 06:14:04 +0000

Hi Mohammad shafeeque,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I placed an order to pick up from your Al rai Home centre on the 8thof this month, Order #8206934960. I have no update or response on my account or from the phone number provided, 56647506. I tried chatting and the reply is that its an invalid order number.

Am extremely disappointed with the service provided.

I would appreciate if you can arrange my order this one time, as I already paid for it online

John
Cell # 0096567766047 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1578781